# Uses of Class
net.shibboleth.idp.consent.context.ConsentContext

Packages that use ConsentContext
Package
Description
net.shibboleth.idp.consent.audit.impl
Classes implementing consent-specific audit log behavior.
net.shibboleth.idp.consent.flow.impl
Actions and flow descriptors related to consent.
net.shibboleth.idp.consent.logic.impl
Predicates and functions related to attribute consent.

## Uses of ConsentContext in net.shibboleth.idp.consent.audit.impl

Fields in net.shibboleth.idp.consent.audit.impl with type parameters of type ConsentContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,ConsentContext>`
CurrentConsentIdsAuditExtractor.`consentContextLookupStrategy`
Strategy used to find the `ConsentContext` from the `ProfileRequestContext`.
`private Function<ProfileRequestContext,ConsentContext>`
CurrentConsentIsApprovedAuditExtractor.`consentContextLookupStrategy`
Strategy used to find the `ConsentContext` from the `ProfileRequestContext`.
`private Function<ProfileRequestContext,ConsentContext>`
CurrentConsentValuesAuditExtractor.`consentContextLookupStrategy`
Strategy used to find the `ConsentContext` from the `ProfileRequestContext`.
Constructor parameters in net.shibboleth.idp.consent.audit.impl with type arguments of type ConsentContext
Modifier
Constructor
Description
``
`CurrentConsentIdsAuditExtractor(Function<ProfileRequestContext,ConsentContext> strategy)`
Constructor.
``
`CurrentConsentIsApprovedAuditExtractor(Function<ProfileRequestContext,ConsentContext> strategy)`
Constructor.
``
`CurrentConsentValuesAuditExtractor(Function<ProfileRequestContext,ConsentContext> strategy)`
Constructor.

## Uses of ConsentContext in net.shibboleth.idp.consent.flow.impl

Fields in net.shibboleth.idp.consent.flow.impl declared as ConsentContext
Modifier and Type
Field
Description
`private ConsentContext`
AbstractConsentAction.`consentContext`
Consent context.
Fields in net.shibboleth.idp.consent.flow.impl with type parameters of type ConsentContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,ConsentContext>`
AbstractConsentAction.`consentContextLookupStrategy`
Strategy used to find the `ConsentContext` from the `ProfileRequestContext`.
Methods in net.shibboleth.idp.consent.flow.impl that return ConsentContext
Modifier and Type
Method
Description
`ConsentContext`
AbstractConsentAction.`getConsentContext()`
Get the consent context.
Method parameters in net.shibboleth.idp.consent.flow.impl with type arguments of type ConsentContext
Modifier and Type
Method
Description
`void`
AbstractConsentAction.`setConsentContextLookupStrategy(Function<ProfileRequestContext,ConsentContext> strategy)`
Set the consent context lookup strategy.

## Uses of ConsentContext in net.shibboleth.idp.consent.logic.impl

Fields in net.shibboleth.idp.consent.logic.impl with type parameters of type ConsentContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,ConsentContext>`
GlobalAttributeConsentPredicate.`consentContextlookupStrategy`
Strategy used to find the `ConsentContext` from the `ProfileRequestContext`.
`private Function<ProfileRequestContext,ConsentContext>`
AttributeReleaseConsentFunction.`consentContextLookupStrategy`
Strategy used to find the `ConsentContext` from the `ProfileRequestContext`.
`private Function<ProfileRequestContext,ConsentContext>`
IsConsentRequiredPredicate.`consentContextLookupStrategy`
Consent context lookup strategy.
Method parameters in net.shibboleth.idp.consent.logic.impl with type arguments of type ConsentContext
Modifier and Type
Method
Description
`void`
AttributeReleaseConsentFunction.`setConsentContextLookupStrategy(Function<ProfileRequestContext,ConsentContext> strategy)`
Set the consent context lookup strategy.
`void`
IsConsentRequiredPredicate.`setConsentContextLookupStrategy(Function<ProfileRequestContext,ConsentContext> strategy)`
Set the consent context lookup strategy.